Permalink
Browse files

dropped bower, cleared deps

  • Loading branch information...
mcasimir committed Mar 12, 2016
1 parent 80231fe commit 03060e2786800cdfc43c1586da889dffeb9b19e3
Showing with 38 additions and 50 deletions.
  1. +0 −1 .travis.yml
  2. +1 −7 bower.json
  3. +10 −17 config.js
  4. +22 −23 package.json
  5. +5 −2 tasks/depcheck.js
@@ -11,7 +11,6 @@ before_install:
- pip install codecov
- npm install
- npm install -g bower
- bower install

after_success:
- codecov
@@ -31,11 +31,5 @@
"bower_components",
"test",
"ROADMAP.tasks"
],
"devDependencies": {
"font-awesome": "4",
"bootstrap": "3",
"fastclick": "1",
"overthrow": "0.7"
}
]
}
@@ -5,28 +5,25 @@ let path = require('path');
let config = {
globs: {
core: [
'bower_components/fastclick/lib/fastclick.js',
'node_modules/fastclick/lib/fastclick.js',
'src/js/core/**/*.js',
'src/js/mobile-angular-ui.core.js'
],
components: [
'bower_components/overthrow/src/overthrow-detect.js',
'bower_components/overthrow/src/overthrow-init.js',
'bower_components/overthrow/src/overthrow-polyfill.js',
'node_modules/fg-overthrow/src/overthrow-detect.js',
'node_modules/fg-overthrow/src/overthrow-init.js',
'node_modules/fg-overthrow/src/overthrow-polyfill.js',
'src/js/components/**/*.js',
'src/js/mobile-angular-ui.components.js'],
'src/js/mobile-angular-ui.components.js'
],
gestures: [
'src/js/gestures/**/*.js',
'src/js/mobile-angular-ui.gestures.js'
],
migrate: [
'src/js/migrate/**/*.js',
'src/js/mobile-angular-ui.migrate.js'
],
fonts: 'bower_components/font-awesome/fonts/fontawesome-webfont.*',
fonts: 'node_modules/font-awesome/fonts/fontawesome-webfont.*',
vendorLess: [
path.resolve(__dirname, 'src/less'),
path.resolve(__dirname, 'bower_components')
path.resolve(__dirname, 'node_modules')
],
livereloadDemo: [
path.join('demo', '*.html')
@@ -36,10 +33,7 @@ let config = {
],
livereloadTestManual: [
path.join('test', 'manual', '*.html')
],
livereloadTestMigrate: [
path.join('test', 'migrate', '*.html')
],
]
},
lint: ['./src/**/*.js', './test/**/*.js', './*.js']
};
@@ -51,7 +45,6 @@ config.globs.main = config.globs.core
config.globs.js = []
.concat(config.globs.core)
.concat(config.globs.components)
.concat(config.globs.gestures)
.concat(config.globs.migrate);
.concat(config.globs.gestures);

module.exports = config;
@@ -20,31 +20,30 @@
"url": "https://github.com/mcasimir/mobile-angular-ui/issues"
},
"devDependencies": {
"cheerio": "^0.18.0",
"chromedriver": "^2.12.0",
"del": "^1.1.1",
"glob": "^4.3.2",
"gulp": "^3.8.10",
"gulp-concat": "^2.4.3",
"gulp-connect": "^2.2.0",
"gulp-csso": "^0.2.9",
"gulp-jshint": "2.0.0",
"angular": "1.4.9",
"angular-mocks": "1.4.9",
"bootstrap": "3.3.6",
"chromedriver": "2.21.2",
"del": "1.2.1",
"fastclick": "1.0.6",
"fg-overthrow": "0.7.1",
"font-awesome": "4.5.0",
"gulp": "3.9.1",
"gulp-concat": "2.6.0",
"gulp-connect": "2.3.1",
"gulp-csso": "0.2.9",
"gulp-depcheck": "1.1.0",
"gulp-jscs": "3.0.2",
"jshint": "2.9.1",
"gulp-less": "^3.0.3",
"gulp-jshint": "2.0.0",
"gulp-less": "3.0.5",
"gulp-mobilizer": "0.0.3",
"gulp-protractor": "0.0.12",
"gulp-release-tasks": "0.0.3",
"gulp-rename": "^1.2.0",
"gulp-sourcemaps": "^1.3.0",
"gulp-uglify": "^1.0.2",
"minimatch": "^2.0.1",
"ngrok": "^0.1.99",
"phantomjs": "^1.9.17",
"require-all": "2.0.0",
"run-sequence": "^1.0.2",
"selenium-standalone-jar": "^2.45.0",
"serve-favicon": "^2.3.0",
"slug": "^0.8.0"
"gulp-rename": "1.2.2",
"gulp-sequence": "0.4.5",
"gulp-sourcemaps": "1.6.0",
"gulp-uglify": "1.5.3",
"jshint": "2.9.1",
"karma": "0.13.22",
"require-all": "2.0.0"
}
}
@@ -5,8 +5,8 @@ module.exports = function(gulp, config) {
gulp.task('depcheck:require-strict', function() {
let pkg = require('../package');

let nonStrictDeps = getNonStrictDeps(pkg.dependencies)
.concat(getNonStrictDeps(pkg.devDependencies));
let nonStrictDeps = getNonStrictDeps(pkg.dependencies || {})
.concat(getNonStrictDeps(pkg.devDependencies || {}));

if (nonStrictDeps.length) {
return Promise.reject(new Error(`The following dependencies are not strict:\n${nonStrictDeps.join('\n')}`));
@@ -18,6 +18,9 @@ module.exports = function(gulp, config) {
gulp.task('depcheck', ['depcheck:require-strict'], require('gulp-depcheck')({
ignoreDirs: ['client', 'public'],
ignoreMatches: assetsModules().concat([
'angular',
'angular-mocks',
'bootstrap',
'mobile-angular-ui'
])
}));

0 comments on commit 03060e2

Please sign in to comment.